Skip to content
Andesine

List webhook deliveries

get

Returns unexpired history, including for a deleted endpoint. Metadata does not include event payloads.

Required API key permissions: read:webhooks. Write permissions also grant read access for the same resource.

Authentication

apiKeyhttp, bearer, Andesine API key

Use an Andesine API key as a Bearer token

oauthhttp, bearer, Andesine OAuth access token

Use an OAuth access token with andesine:api scope. Send x-workspace-id for workspace operations. Current user permissions apply.

Path parameters

id*string

Query parameters

cursorstring
limitnumber
Default: 50
typeWebhookEventName
One of: "entry.created", "entry.updated", "entry.content_saved", "entry.moved", "entry.deleted", "entry.restored", "collection.created", "collection.updated", "collection.moved", "collection.deleted", "collection.restored", "publishing.channel_advanced", "publishing.channel_created", "publishing.channel_deleted"
statestring
One of: "pending", "in_flight", "succeeded", "failed", "cancelled"
createdAfterstring
createdBeforestring
x-workspace-idstring

Required for OAuth: ID of the workspace to access. API keys use their own workspace.

Responses

200OKapplication/json
Bodyobject
2 fields
data*array of WebhookDelivery
16 fields
id*string
endpointID*string
eventID*string
type*WebhookEventName
One of: "entry.created", "entry.updated", "entry.content_saved", "entry.moved", "entry.deleted", "entry.restored", "collection.created", "collection.updated", "collection.moved", "collection.deleted", "collection.restored", "publishing.channel_advanced", "publishing.channel_created", "publishing.channel_deleted"
occurredAt*string
test*boolean
state*string
One of: "pending", "in_flight", "succeeded", "failed", "cancelled"
selectedRevision*number
createdAt*string
expiresAt*string
retentionDays*number
attemptCount*number
currentRunID*any of
Options

Any of

Option 1string
Option 2null
nextAttemptAt*any of
Options

Any of

Option 1string
Option 2null
lastHTTPStatus*any of
Options

Any of

Option 1number
Option 2null
lastFailureCategory*any of
Options

Any of

Option 1string
One of: "http_status", "timeout", "network", "destination_policy", "internal"
Option 2null
pagination*Pagination
2 fields
nextCursor*any of
Options

Any of

Option 1string
Option 2null
hasMore*boolean
400Bad Requestapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "BAD_REQUEST"
status*constant
Value: 400
message*string
Default: "Bad Request"
dataValidationErrorData
2 fields
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

issuesarray of ValidationIssue
3 fields
message*string
codestring
patharray of any of
Options

Any of

Option 1string
Option 2number
Option 3object
key*any of
Options

Any of

Option 1string
Option 2number
Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
401Unauthorizedapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "UNAUTHORIZED"
status*constant
Value: 401
message*string
Default: "Unauthorized"
dataErrorData
1 field
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
403Forbiddenapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "FORBIDDEN"
status*constant
Value: 403
message*string
Default: "Forbidden"
dataForbiddenErrorData
4 fields
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

missingPermissionsarray of string
requiredPlanconstant
Value: "pro"
actionstring

The requested action that was denied

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
404Not Foundapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "NOT_FOUND"
status*constant
Value: 404
message*string
Default: "Not Found"
dataErrorData
1 field
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
409Conflictapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "CONFLICT"
status*constant
Value: 409
message*string
Default: "Conflict"
dataErrorData
1 field
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
429Too Many Requestsapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "TOO_MANY_REQUESTS"
status*constant
Value: 429
message*string
Default: "Too Many Requests"
dataRateLimitErrorData
3 fields
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

limitstring

The limit that was reached: a short-term rate limit, or a monthly API call, AI credit, or spending limit

One of: "rate", "api-calls", "ai-credits", "spending"
retryAfterSecondsnumber

Minimum delay before another attempt, in seconds. Also sent in Retry-After.

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
500Internal Server Errorapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "INTERNAL_SERVER_ERROR"
status*constant
Value: 500
message*string
Default: "Internal Server Error"
dataErrorData
1 field
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
503Service Unavailableapplication/json
Bodyone of
Options

One of

Option 1object
defined*constant
Value: true
code*constant
Value: "SERVICE_UNAVAILABLE"
status*constant
Value: 503
message*string
Default: "Service Unavailable"
dataErrorData
1 field
hintsarray of string

Suggested next steps. Wording can change; use error codes and structured data for program logic.

Option 2object
defined*constant
Value: false
code*string
status*number
message*string
dataany
AndesinePowered byPages